/**
 * @(#)file    SheetTR.java
 * @(#)author  [개발자명]
 * @(#)version 1.0
 * @(#)date    May 10, 2007
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.hwenc.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of Hanwha E&C, Inc.
 */
package kr.co.udapsoft.common.sheet;

import kr.co.hsnc.common.util.ValueObject;

public class SheetTR {

	private SheetTD[] sheetTDs = null;
	
	private ValueObject attr = null;
	
	public SheetTR() {
		this.attr = new ValueObject();
	}

	/**
	 * SheetTD를 SET
	 * @param sheetTDs
	 */
	public void setSheetTDs(SheetTD[] sheetTDs) {
		this.sheetTDs = sheetTDs;
	}
	
	/**
	 * SheetTD를 리턴
	 * @param tdIndex
	 * @return
	 */
	public SheetTD getSheetTD(int tdIndex) {
		return this.sheetTDs[tdIndex];
	}

	/**
	 * SheetTD[]의 사이즈 리턴
	 * @return
	 */
	public int getSheetTDSize() {
		if( this.sheetTDs == null )
			return 0;
		else
			return this.sheetTDs.length;
	}

	/**
	 * Sheet조회 XML의 'TR'Tag의 속성을 지정
	 * @param key
	 * @param value
	 */
	public void setAttribute(String key, String value) {
		this.attr.set(key, value);
	}

	/**
	 * Sheet조회 XML의 'TR'Tag의 key에 대당하는 속성을 리턴
	 * @param key
	 * @return
	 */
	public String getAttribute(String key) {
		return this.attr.get(key);
	}

	/**
	 * Sheet조회 XML의 'TR'Tag의 속성 전체 리턴
	 * @return
	 */
	public ValueObject getAttributes() {
		return this.attr;
	}
}
